> For the complete documentation index, see [llms.txt](https://docs.zerowallet.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zerowallet.org/running-the-docker-service.md).

# Running the docker service

This is the Zerowallet backend service that is responsible of [How does Zerowallet work?](/how-does-zerowallet-work.md#authentication) and executing transactions on-chain.

### 1 - Clone this repo and cd into it

```
git clone https://github.com/questbook/zero-wallet-backend-service.git
cd zero-wallet-backend-service
```

### 2 - Fill in the config.sample.yaml file with your own config and rename it to config.yaml

Follow instructions [here](/configuring-the-yaml-file.md) in order to fill the `config.yaml` file.

### 3 - Build the docker image:

```
docker build . -t zero-wallet-backend-service
```

### 4 - Then run the container:

```
docker run --network=host zero-wallet-backend-service
```

### Server endpoints

This service exposes several API endpoints to be used in the frontend part, note that you should only change \<DOMAIN> to the domain where you're deploying the service.

```typescript
nonceProvider : http://<DOMAIN>/api/auth/getNonce
nonceRefresher : http://<DOMAIN>/api/auth/refreshNonce
authorizer : http://<DOMAIN>/api/auth/authorize
gasStation : http://<DOMAIN>/api/tx/send
transactionBuilder : http://<DOMAIN>/api/tx/build
scwDeployer : http://<DOMAIN>/api/tx/deploy
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zerowallet.org/running-the-docker-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
